<!--

FastPACS
2006-2008 by Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA

Based on the copyrighted work of Takaya Sakusabe

On-Line Support
Contents copyright Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA

-->
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Globalization" %>
<%@ Import Namespace="DIOWave" %>
<script src="classes.cs" runat="server" />
<script runat="server">
//========================================================================================

	//==============================
	// QueryStringValue Class
	//==============================
	class QueryStringValue : QueryStringValueBase {
	
		public readonly String fit;
		public readonly String layout;
		public readonly String order;
		public readonly String action;
		public readonly String overlay;

		public QueryStringValue(HttpRequest req)
			: base(req) {

			this.fit = get_opt_str("FIT", null);
			this.layout = get_opt_str("LAYOUT", null);
			this.order = get_opt_str("ORDER", null);
			this.action = get_opt_str("ACTION", null);
			this.overlay = get_opt_str("OVERLAY", null);
		}
	}
//========================================================================================
</script>
<%
	QueryStringValue qsv = new QueryStringValue(Request);
	StringDictionary pref = (StringDictionary)Session["viewerpref"];

	if (qsv.fit != null)
		pref["FIT"] = qsv.fit;
	if (qsv.layout != null)
		pref["LAYOUT"] = qsv.layout;
	if (qsv.order != null)
		pref["ORDER"] = qsv.order;
	if (qsv.action != null)
		pref["ACTION"] = qsv.action;
	if (qsv.overlay != null)
		pref["OVERLAY"] = qsv.overlay;
	
	Response.ContentType = "image/gif";
	Response.ClearContent();
	Response.WriteFile(Request.MapPath("/DIOWave/minilogo.gif"));
	Response.End();
%>